<template>
    <a-modal v-model:visible="visible" title="审核">

        <a-form ref="formRef" :label-col="labelCol" :model="formData" layout="horizontal">
            <a-form-item v-show="false">
                <a-input v-model:value="formData.id"></a-input>
            </a-form-item>
            <a-form-item
                    label="审核备注"
                    name="auditingRemark"
            >
                <a-textarea v-model:value="formData.appointmentReason" placeholder="请输入审核备注"
                            :auto-size="{ minRows: 3, maxRows: 5 }"/>
            </a-form-item>
        </a-form>
        <template #footer>
            <a-spin :spinning="submitLoading">
                <a-button style="margin-right: 8px" @click="onsubmit(true)" type="primary" danger>审核驳回</a-button>
                <a-button type="primary" @click="onsubmit(false)">审核通过</a-button>
            </a-spin>
        </template>
    </a-modal>
</template>
<script setup>
import {message} from 'ant-design-vue';
import bizAppointmentRecordApi from '@/api/biz/bizAppointmentRecordApi'

const emit = defineEmits({successful: null})
const visible = ref(false);
const submitLoading = ref(false)
const labelCol = ref({span: 4})
// 表单数据
const formData = ref({})
const showModal = (id) => {
    formData.value.id = id
    visible.value = true;
};
const onClose = () => {
    formData.value = {}
    visible.value = false
};
const onsubmit = (flag) => {
    if (flag === true) {
        if (!formData.value.appointmentReason) {
            message.error('审核驳回时，备注信息不能为空')
            return
        }
    }
    submitLoading.value = true
	formData.value.auditFlag = flag
	bizAppointmentRecordApi.auditRecord(formData.value).then(() => {
        onClose()
        emit('successful', null)
    }).finally(() => {
        submitLoading.value = false
    })
}
// 抛出函数
defineExpose({
    showModal
})
</script>
<style scoped>

</style>
